using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SerialSensor {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e) {
            // Get list of all available serial ports
            string[] portNames = System.IO.Ports.SerialPort.GetPortNames();
            if (portNames.Length == 0) {
                // No serial ports found
                MessageBox.Show("This system has no serial ports", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
                Application.Exit();
            }
            else {
                this.comboBoxPort.Items.AddRange(portNames);
                this.comboBoxPort.SelectedIndex = 0;
            }
        }

        private void button1_Click(object sender, EventArgs e) {
            PapouchSensorTM sensor = new PapouchSensorTM((string)this.comboBoxPort.SelectedItem);
            try {
                float t = sensor.ReadSample();
                MessageBox.Show(string.Format("Temperature is {0:N1} C", t), "Result", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
            catch (Exception ex) {
                MessageBox.Show(ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }
    }
}